Page MenuHomePhabricator

Create Puppet role and profile
Closed, ResolvedPublic5 Story Points

Description

Per wt:Services/FirstDeployment#Role_and_Profile_Creation, we need to create roles and profiles for the headless Chromium based render service (the "service") in the operations/puppet repository. Moreover, this can be done in parallel to creating/working on the new service request.

AC

  • Add a deployment role for the service in hieradata/common/role/deployment.yaml
  • Create a profile for the service in modules/profile/manifests/
  • Create a role for for the service in manifests/role/

Developer Notes

  1. Prior art for the service profile/role:

Related Objects

StatusAssignedTask
StalledNone
OpenNone
Resolvedphuedx
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedakosiaris
Resolvedmobrovac
Resolvedfgiunchedi
Resolvedpmiazga
Resolvedfaidon
Resolvedmobrovac
Resolvedmobrovac
Resolvedpmiazga
ResolvedJdrewniak
Resolvedmobrovac
Resolvedphuedx
Resolvedpmiazga
Resolvedpmiazga

Event Timeline

phuedx created this task.Oct 13 2017, 2:24 PM
ovasileva triaged this task as Normal priority.Oct 31 2017, 4:29 PM
ovasileva set the point value for this task to 5.
ovasileva moved this task from Triage to Backlog on the Proton board.Dec 1 2017, 2:37 PM
ovasileva moved this task from Backlog to Backlog - Q2 on the Proton board.

@ovasileva, I'm pulling this into the sprint (from sprint+1) because I'm out of work

Niedzielski moved this task from To Do to Doing on the Readers-Web-Kanbanana-Board-Old board.

@phuedx do we need a task to remove the old Electron PDF renderer? (I'm happy to create the task but wasn't sure if it was needed.)

phuedx added a comment.Feb 7 2018, 9:53 AM

@phuedx do we need a task to remove the old Electron PDF renderer? (I'm happy to create the task but wasn't sure if it was needed.)

We do. It should be blocked on T181084: [EPIC] Deploy the mediawiki-services-chromium-render service (Proton) (or perhaps something a little more specific, if we need). Since you're happy to create it, go ahead ;]

@phuedx, I've taken a stab in T178172 and referenced the old services to be replaced. Sorry for any omissions! The more I know about this project the more I realize how little I know about it!

phuedx changed the task status from Open to Stalled.Mar 7 2018, 4:10 PM
phuedx moved this task from 2017-18 Q3 to Triaged but Future on the Readers-Web-Backlog board.
Niedzielski removed Niedzielski as the assignee of this task.Mar 7 2018, 4:11 PM
mobrovac closed this task as Resolved.May 19 2018, 1:44 PM
mobrovac claimed this task.
mobrovac edited projects, added Services (done); removed Electron-PDFs.
mobrovac added a subscriber: mobrovac.